#include <bits/stdc++.h>
#include <string>
#include <vector>
#include <stack>
#include <utility>
#include <algorithm>
#include <cmath>
#define ll long long
using namespace std;

int main()
{
	int n;
	cin >> n;
	double p[n],a[n];
	for(int i = 0; i < n; ++i)
	{
		cin >> a[i] >> p[i];
	}
	
	double zarada = 0;
	for(int i = 0; i < n; ++i)
	{
		double per = (p[i]/100);
		double temp = 0;
		for(int j = 0; j < n; ++j)
		{
			if(per <= (p[j]/100))
			{
				temp += a[j]*per;
				//printf("\n%f * %f = %f, temp = %f\n",a[j],per,a[j]*per,temp);
			}
		}
		//printf("\n\nTemp=%f,a procenat = %f\n\n",temp,per);
		if(temp > zarada)zarada = temp;
	}
	
	
	
	printf("%f",zarada);
	
	return 0;
}